List all security policies

View as Markdown

Air Admin and SRE clients may view all security policies. All other clients may view policies for their organization’s emulation types only.

Required scope: air:manifest_read (roles: air_simengine_debugger, air_simengine_developer)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

emulation_typestringOptional

Filter by emulation type (exact match, case-sensitive).

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

policy_typeenumOptional
Filter by policy type: seccomp or apparmor. * `seccomp` - Seccomp * `apparmor` - AppArmor
Allowed values:
searchstringOptional

Search by emulation_type, policy_type, or version.

versionstringOptional
Filter by version string.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error